# define alphatag svn1211
%define buildtrunk 0
%{?alphatag: %define buildtrunk 1}
%{?_with_buildtrunk: %define buildtrunk 1}
%define major 4
%define libname %mklibname corosync %major
%define libnamedevel %mklibname -d corosync
#define _disable_ld_no_undefined 1

Name: corosync
Summary: The Corosync Cluster Engine and Application Programming Interfaces
Version: 2.0.0
Release: %mkrel 3
License: BSD
Group: System/Base
URL: http://www.corosync.org
Source0: ftp://ftp:downloads@ftp.corosync.org/downloads/corosync-%{version}/corosync-%{version}.tar.gz
Patch1:	corosync-fix-linking.patch

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
# Runtime bits
Requires: %{libname} >= %{version}-%{release}
Conflicts: openais <= 0.89, openais-devel <= 0.89

%if %{buildtrunk}
BuildRequires: autoconf automake
%endif
BuildRequires: nss-devel
BuildRequires: libqb-devel

%description 
This package contains the Corosync Cluster Engine Executive, several default
APIs and libraries, default configuration files, and an init script.

%package -n %{libname}
Summary: The Corosync Cluster Engine Libraries
Group: System/Libraries
Conflicts: corosync < 0.92-7
Obsoletes: corosynclib < 1.1.0

%description -n %{libname}
This package contains corosync libraries.

%package -n %{libnamedevel}
Summary: The Corosync Cluster Engine Development Kit
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig
Provides: corosync-devel = %{version} corosynclibs-devel = %{version}
Obsoletes: corosync-devel < 0.92-7
Obsoletes: corosynclibs-devel < 1.1.0

%description -n %{libnamedevel}
This package contains include files and man pages used to develop using
The Corosync Cluster Engine APIs.

%prep
%setup -q -n corosync-%{version}
%patch1 -p1 -b .linkrt

#if %{buildtrunk}
./autogen.sh
#endif

#%{_configure}	CFLAGS="$(echo '%{optflags}')" \
#		--prefix=%{_prefix} \
#		--sysconfdir=%{_sysconfdir} \
#		--localstatedir=%{_localstatedir} \
#		--with-lcrso-dir=%{_libexecdir}/lcrso \
#		--libdir=%{_libdir}
%configure --enable-systemd

%build
%make

%install
rm -rf %{buildroot}

#make install DESTDIR=%{buildroot}
%makeinstall_std

## tree fixup
# drop static libs
rm -f %{buildroot}%{_libdir}/*.a
# drop docs and html docs for now
rm -rf %{buildroot}%{_docdir}/*

#add logs directory
install -d %{buildroot}/var/log/%{name}

%clean
rm -rf %{buildroot}
%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
[ "$1" -ge "1" ] && /sbin/service corosync condrestart &>/dev/null || :

%files 
%doc LICENSE SECURITY
%{_sbindir}/corosync*
%{_bindir}/corosync*
%dir %{_sysconfdir}/corosync
%dir %{_sysconfdir}/corosync/service.d
%dir %{_sysconfdir}/corosync/uidgid.d
%config(noreplace) %{_sysconfdir}/corosync/corosync.conf.example
%config(noreplace) %{_sysconfdir}/corosync/corosync.conf.example.udpu
%dir %{_localstatedir}/lib/corosync
%{_mandir}/man8/corosync_overview.8*
%{_mandir}/man8/corosync-*.8*
%{_mandir}/man8/corosync.8*
%{_mandir}/man8/cmap_keys.8*
%{_mandir}/man8/cmap_overview.8*
%{_mandir}/man8/quorum_overview.8*
%{_mandir}/man5/corosync.conf.5*
%{_mandir}/man5/votequorum.5*
%{_unitdir}/corosync-notifyd.service
%{_unitdir}/corosync.service
%dir /var/log/%{name}

%files -n %{libname}
%{_libdir}/lib*.so.*

%files -n %{libnamedevel}
%doc LICENSE README.recovery
%{_includedir}/corosync/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*
%{_mandir}/man8/cpg_overview.8*
%{_mandir}/man8/votequorum_overview.8*
%{_mandir}/man8/sam_overview.8*


%changelog

* Sat Apr 28 2012 tmb <tmb> 2.0.0-3.mga2
+ Revision: 233640
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 2.0.0-2.mga2
+ Revision: 233531
- rebuild for versioned rpm-helper requires

* Fri Apr 20 2012 boklm <boklm> 2.0.0-1.mga2
+ Revision: 232061
- version 2.0.0

* Tue Apr 10 2012 boklm <boklm> 1.2.8-4.mga2
+ Revision: 230100
- add service.d config directory

* Tue Apr 03 2012 ennael <ennael> 1.2.8-3.mga2
+ Revision: 228181
- add logdir so that corosync can start

* Tue Jan 11 2011 blino <blino> 1.2.8-2.mga1
+ Revision: 5682
- remove old ldconfig scriptlets
- imported package corosync


* Tue Sep 07 2010 Buchan Milne <bgmilne@mandriva.org> 1.2.8-1mdv2011.0
+ Revision: 576515
- update to new version 1.2.8
- Update files list for new man pages
- Update URL and source URL

* Mon Aug 09 2010 Buchan Milne <bgmilne@mandriva.org> 1.2.1-2mdv2011.0
+ Revision: 568000
- rebuild

* Tue Apr 27 2010 Buchan Milne <bgmilne@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 539564
- update to new version 1.2.1

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdv2010.1
+ Revision: 527389
- rebuilt against nss-3.12.6

* Mon Jan 04 2010 Buchan Milne <bgmilne@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 486115
- New version 1.2.0

* Mon Nov 16 2009 Buchan Milne <bgmilne@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 466573
- New version 1.1.2
  Fix underlinking patch

* Thu Oct 01 2009 Buchan Milne <bgmilne@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 452327
- New version 1.1.0
- libify partially

* Wed Sep 30 2009 Buchan Milne <bgmilne@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 451196
- import corosync


